/*
    magick-aux.c - Part of psiconv, a PSION 5 file formats converter
    Copyright (c) 2000  Frodo Looijaard <frodol@dds.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "config.h"

#ifdef IMAGEMAGICK

#include "magick-aux.h"
#include <magick/magick.h>
#include <magick/config.h>

#endif

#ifdef DMALLOC
#include "dmalloc.h"
#endif

#if IMAGEMAGICK

/* This used to be very ugly, but nowadays it is much better */

const MagickInfo * GetMagickFileList(void)
{
  ExceptionInfo exc;
  GetExceptionInfo(&exc);
  OpenModules(&exc);
  return GetMagickInfo(NULL,&exc);
}

#endif /* IMAGEMAGICK */
